--- title: "REST API call to assign a user as reviewer" slug: "rest-api-call-to-assign-a-user-as-reviewer" tags: ["Product Usage", "DLP 11.12.x"] updated: 2026-09-09T08:09:05Z published: 2026-09-09T08:09:05Z canonical: "docs.trellix.com/rest-api-call-to-assign-a-user-as-reviewer" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # REST API call to assign a user as reviewer You can assign or update (PUT) a user as a reviewer to an incident of the specified incident nature. ### PUT request URL `https://<epo_server_name:port>/rest/dlp/incidents/revuser/{incidentId}?incidentNature={n}&revUserId={n}` Where - `epo_server_name:port` is the server IP address and port number. - `incidentNature={n}` n can be 1, 2, or 3 for incidents of different data vectors (incident nature). - `{incidentId}` unique identifier of an incident. - `revUserId={n}` assigns unique identifier of the reviewer user to the specified incident. ### Request Parameters | Parameter name | Description | Required | Values | | --- | --- | --- | --- | | **Authorization** | User credentials for ePO - On-prem. | Required | | | **incidentNature={n}** | Incidents generated for data-in-use/motion and data-at-rest can have the same incident IDs. Specify n to differentiate the incident nature. Based on the data vectors, {n} can be: - 1 = Incidents generated for data-in-use/motion - 2 = Reserved for data-at-rest - Endpoint Discovery incidents and can be used when support for Endpoint Discovery custom attributes is added into the product - 3 = Incidents generated for data-at-rest - Network | Required | Number | | **{incidentId}** | Unique identifier of an incident | Required | Number | | **revUserId={n}** | Unique identifier of the user assigned as reviewer | Required | Number | In these sample requests, reviewer user 18 is assigned to incident 24 generated for data-at-rest - Network. **Sample PUT request URL** `https://172.27.108.53:8443/rest/dlp/incidents/revuser/24?incidentNature=3&revUserId=18` **Sample cURL command** `curl -k -v -X PUT 'https://ePO-url:ePO-port/rest/dlp/incidents/revgroup/24?incidentNature=3&revUserId=18' -u '<user>:<password>'` ### Sample response ``` Successfully updated Review User Id for incident  24 ``` ### Status and error codes List of HTTP status codes returned for the query. | Code | Description | | --- | --- | | **200 OK** | Returns a successful message. | | **400 Bad Request** | incidentNature, incidentId, or revUserId is missing or has a non-numeric value. | | **404 Not Found** | Incorrect ePO - On-prem URL. | | **500 Internal Server Error** | An error on the server side that failed the request. See the ePO - On-prem `orion.log` file for more details about the error. |